Package org.eclipse.rap.rwt.template

# Enum Class ImageCell.ScaleMode

java.lang.Object
java.lang.Enum<ImageCell.ScaleMode>
org.eclipse.rap.rwt.template.ImageCell.ScaleMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageCell.ScaleMode>`, `Constable`

Enclosing class:
  ImageCell

public static enum ImageCell.ScaleMode extends Enum<ImageCell.ScaleMode>
Represents a method used to scale an image.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FILL`
The image is scaled to the minimum size required to cover the entire cell.
`FIT`
The image is scaled to the maximum size that fits into the cell.
`NONE`
The image is displayed in its original size.
`STRETCH`
The image is scaled to the exact bounds of the cell.

## Method Summary

Modifier and Type
Method
Description
`static ImageCell.ScaleMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ImageCell.ScaleMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final ImageCell.ScaleMode NONE
The image is displayed in its original size.

### FIT

public static final ImageCell.ScaleMode FIT
The image is scaled to the maximum size that fits into the cell. The aspect ratio is preserved.

### FILL

public static final ImageCell.ScaleMode FILL
The image is scaled to the minimum size required to cover the entire cell. The aspect ratio is preserved.

### STRETCH

public static final ImageCell.ScaleMode STRETCH
The image is scaled to the exact bounds of the cell. The aspect ratio is not preserved.

## Method Details

### values

public static ImageCell.ScaleMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ImageCell.ScaleMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null